package com.trs.project.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * zrzy_tkq_bidwinnotice
 * @author 
 */
@Data
@TableName("zrzy_tkq_bidwinnotice")
public class ZrzyTkqBidwinnotice implements Serializable {
    /**
     * 数据唯一标识（来源系统）
     */
    @TableId("SOURCE_DATA_KEY")
    private String sourceDataKey;

    /**
     * 数据来源系统的编码
     */
    private String sourceDataCode;

    /**
     * 项目编号
     */
    private String naAppCode;

    /**
     * 项目名称
     */
    private String naAppName;

    /**
     * 统一交易标识码
     */
    private String unifiedDealCode;

    /**
     * 发布时间
     */
    private Long publishingTime;

    /**
     * 公告源URL
     */
    private String url;

    /**
     * 公告性质
     */
    private String noticeNature;

    /**
     * 出让方式
     */
    private Long inBuyKind;

    /**
     * 出让年限
     */
    private BigDecimal qtPlanYears;

    /**
     * 面积
     */
    private BigDecimal qtTotalArea;

    /**
     * 地理位置
     */
    private String naGeographyPosition;

    /**
     * 项目所在行政区域代码
     */
    private String regionCode;

    /**
     * 交易发生行政区域代码
     */
    private String traPlaceCode;

    /**
     * 交易机构名称
     */
    private String traAgencyName;

    /**
     * 交易机构代码
     */
    private String traAgencyCode;

    /**
     * 竞得人名称
     */
    private String naPublicBidder;

    /**
     * 竞得人类别
     */
    private String bidderType;

    /**
     * 竞得人代码
     */
    private String bidderCode;

    /**
     * 竞得人角色
     */
    private String bidderRole;

    /**
     * 成交价
     */
    private BigDecimal qtPublicPrice;

    /**
     * 竞得人公司地址
     */
    private String naRegAddress;

    /**
     * 成交地点
     */
    private String naTdAddress;

    /**
     * 成交时间
     */
    private Long dtBuyDate;

    /**
     * 出让收益缴纳方式
     */
    private Long inCostStyle;

    /**
     * 出让收益缴纳时间
     */
    private Long dtCostDate;

    /**
     * 区域坐标
     */
    private String naAreaCoordinate;

    /**
     * 公告标题
     */
    private String announcementName;

    /**
     * 公告内容
     */
    private String announcementConnect;

    /**
     * 交易系统标识码
     */
    private String platformCode;

    /**
     * 交易服务系统标识码
     */
    private String pubServicePlatCode;

    /**
     * 数据时间戳
     */
    private Long dataTimestamp;

    /**
     * 起始价
     */
    private BigDecimal startPrice;

    /**
     * 底价
     */
    private BigDecimal floorPrice;

    /**
     * 交易中心编码
     */
    private String dataSourceCode;

    private static final long serialVersionUID = 1L;
}