//package com.trs.project.exchange;
//
//import com.alibaba.fastjson.JSONArray;
//import com.alibaba.fastjson.JSONObject;
//import com.trs.project.entity.*;
//import com.trs.project.service.*;
//import com.trs.project.util.RSAUtils;
//import com.xxl.job.core.context.XxlJobHelper;
//import com.xxl.job.core.handler.annotation.XxlJob;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.http.*;
//import org.springframework.http.converter.StringHttpMessageConverter;
//import org.springframework.stereotype.Component;
//import org.springframework.util.LinkedMultiValueMap;
//import org.springframework.util.MultiValueMap;
//import org.springframework.util.StringUtils;
//import org.springframework.web.client.RestTemplate;
//
//import java.nio.charset.StandardCharsets;
//import java.text.ParseException;
//import java.text.SimpleDateFormat;
//import java.util.Date;
//import java.util.List;
//
///**
// * XxlJob开发示例（Bean模式）
// *
// * 开发步骤：
// *      1、任务开发：在Spring Bean实例中，开发Job方法；
// *      2、注解配置：为Job方法添加注解 "@XxlJob(value="自定义jobhandler名称", init = "JobHandler初始化方法", destroy = "JobHandler销毁方法")"，注解value值对应的是调度中心新建任务的JobHandler属性的值。
// *      3、执行日志：需要通过 "XxlJobHelper.log" 打印执行日志；
// *      4、任务结果：默认任务结果为 "成功" 状态，不需要主动设置；如有诉求，比如设置任务结果为失败，可以通过 "XxlJobHelper.handleFail/handleSuccess" 自主设置任务结果；
// *
// * @author xuxueli 2019-12-11 21:52:51
// */
//@Component
//public class SampleXxlJob11111 {
//    private static Logger logger = LoggerFactory.getLogger(SampleXxlJob11111.class);
//
//    @Autowired
//    private RestTemplate restTemplate;
//    @Autowired
//    private GcNoticeandfileService gcNoticeandfileService;//1、工程-招标公告与资格预审公告【GC_NOTICEANDFILE】
//    @Autowired
//    private GcBidopenrecordService gcBidopenrecordService;//3、工程-开标记录【GC_BIDOPENRECORD】
//    @Autowired
//    private GcBidcandidatePostService gcBidcandidatePostService;//4、工程-中标候选人公示【GC_BIDCANDIDATE_POST】
//    @Autowired
//    private GcBidpublicityService gcBidpublicityService;//5、工程-中标结果公示【GC_BIDPUBLICITY】
//    @Autowired
//    private GcProjectService gcProjectService;//6、工程-项目【GC_PROJECT】
//    @Autowired
//    private GcTenderprojectService gcTenderprojectService;//7、工程-招标项目【GC_TENDERPROJECT】
//    @Autowired
//    private GcTenderbidfileService gcTenderbidfileService;//8、工程-招标文件/招标文件澄清与修改【Tenderbidfile
//    @Autowired
//    private GcPubContractService gcPubContractService;//9、工程-合同签订【GC_PUB_CONTRACT】
//    @Autowired
//    private GcPerformanceService gcPerformanceService;//10、工程-合同履约【GC_PERFORMANCE】
//    @Autowired
//    private GcBidExceptioNoticeService gcBidExceptioNoticeService;//11、工程-招标异常公告【GC_BID_EXCEPTIO_NOTICE】
//    @Autowired
//    private GcAttachmentService gcAttachmentService;//12、工程-附件集结构【GC_ATTACHMENT】
//    @Autowired
//    private TaskRecordService taskRecordService;
//    @Autowired
//    private GcBidopenFileService gcBidopenFileService;//13、工程-开标明细数据集【GC_BIDOPEN_FILE】
//    @Autowired
//    private ZrzyTdCedeNoticeService zrzyTdCedeNoticeService;//20、自然资源-土地出让公告信息【ZRZY_TD_CEDE_NOTICE】
//    @Autowired
//    private ZrzyTdBidwinnoticeService zrzyTdBidwinnoticeService;//21、自然资源-土地成交结果公告【ZRZY_TD_BIDWINNOTICE】
//    @Autowired
//    private CqSwIssueBulletinService cqSwIssueBulletinService;//30、国有产权-实物资产挂牌披露信息【CQ_SW_ISSUE_BULLETIN】
//    @Autowired
//    private CqSwBargainResultService cqSwBargainResultService;//31、国有产权-实物资产交易结果信息【CQ_SW_BARGAIN_RESULT】】
//    @Autowired
//    private ZtLegalinfoService ztLegalinfoService;//100、主体库
//
//    @Autowired
//    private YcNoticeService ycNoticeService;//200、药采公告
//
//    @Autowired
//    private JgFieldApplyService jgFieldApplyService;
//    @Autowired
//    private JgSiteInformationService jgSiteInformationService;//
//
//    /**
//     * 1、工程-招标公告与资格预审公告【GC_NOTICEANDFILE】
//     */
//    @XxlJob("task_GC_NOTICEANDFILE")
//    public void GC_NOTICEANDFILE() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 2、工程-招标异常公告【GC_BID_EXCEPTIO_NOTICE】
//     */
///*    @XxlJob("task_GC_BID_EXCEPTIO_NOTICE")
//    public void GC_BID_EXCEPTIO_NOTICE() throws Exception {
//        detailMethod();
//    }*/
//
//    /**
//     * 3、工程-开标记录【GC_BIDOPENRECORD】
//     */
//    @XxlJob("task_GC_BIDOPENRECORD")
//    public void GC_BIDOPENRECORD() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 4、工程-中标候选人公示【GC_BIDCANDIDATE_POST】
//     */
//    @XxlJob("task_GC_BIDCANDIDATE_POST")
//    public void GC_BIDCANDIDATE_POST() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 5、工程-中标结果公示【GC_BIDPUBLICITY】
//     */
//    @XxlJob("task_GC_BIDPUBLICITY")
//    public void GC_BIDPUBLICITY() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 6、工程-项目【GC_PROJECT】
//     */
//    @XxlJob("task_GC_PROJECT")
//    public void GC_PROJECT() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 7、工程-招标项目【GC_TENDERPROJECT】
//     */
//    @XxlJob("task_GC_TENDERPROJECT")
//    public void GC_TENDERPROJECT() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 8、工程-招标文件/招标文件澄清与修改【GC_TENDERBIDFILE】
//     */
//    @XxlJob("task_GC_TENDERBIDFILE")
//    public void GC_TENDERBIDFILE() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 9、工程-合同签订【GC_PUB_CONTRACT】
//     */
//    @XxlJob("task_GC_PUB_CONTRACT")
//    public void GC_PUB_CONTRACT() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 10、工程-合同履约【GC_PERFORMANCE】
//     */
//    @XxlJob("task_GC_PERFORMANCE")
//    public void GC_PERFORMANCE() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 11、工程-招标异常公告【GC_BID_EXCEPTIO_NOTICE】
//     */
//    @XxlJob("task_GC_BID_EXCEPTIO_NOTICE")
//    public void GC_BID_EXCEPTIO_NOTICE() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 12、工程-附件集结构【GC_ATTACHMENT】
//     */
//    @XxlJob("task_GC_ATTACHMENT")
//    public void GC_ATTACHMENT() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 13、工程-开标明细数据集【GC_BIDOPEN_FILE】
//     */
//    @XxlJob("task_GC_BIDOPEN_FILE")
//    public void GC_BIDOPEN_FILE() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 14、场地预约【JG_FIELDAPPLY】
//     */
//    @XxlJob("task_JG_FIELDAPPLY")
//    public void JG_FIELDAPPLY() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 15、场地信息【JG_SITE_INFORMATION】
//     */
//    @XxlJob("task_JG_SITE_INFORMATION")
//    public void JG_SITE_INFORMATION() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 20、自然资源-土地出让公告信息【ZRZY_TD_CEDE_NOTICE】
//     */
//    @XxlJob("task_ZRZY_TD_CEDE_NOTICE")
//    public void ZRZY_TD_CEDE_NOTICE() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 21、自然资源-土地成交结果公告【ZRZY_TD_BIDWINNOTICE】
//     */
//    @XxlJob("task_ZRZY_TD_BIDWINNOTICE")
//    public void ZRZY_TD_BIDWINNOTICE() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 30、国有产权-实物资产挂牌披露信息【CQ_SW_ISSUE_BULLETIN】
//     */
//    @XxlJob("task_CQ_SW_ISSUE_BULLETIN")
//    public void CQ_SW_ISSUE_BULLETIN() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 31、国有产权-实物资产交易结果信息【CQ_SW_BARGAIN_RESULT】】
//     */
//    @XxlJob("task_CQ_SW_BARGAIN_RESULT")
//    public void CQ_SW_BARGAIN_RESULT() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 100、法人基本信息【ZT_LEGALINFO】
//     */
//    @XxlJob("task_ZT_LEGALINFO")
//    public void ZT_LEGALINFO() throws Exception {
//        detailMethod();
//    }
//
//    /**
//     * 200、药采公告 【YC_NOTICE】
//     */
//    @XxlJob("task_YC_NOTICE")
//    public void YC_NOTICE() throws Exception {
//        detailMethod();
//    }
//
//    private void detailMethod(){
//        System.out.println("进来了==================");
//        String param = XxlJobHelper.getJobParam();
//        XxlJobHelper.log("XXL-JOB, start="+param);
//        if (param==null || param.trim().length()==0) {
//            XxlJobHelper.log("param["+ param +"] invalid.");
//            XxlJobHelper.handleFail();
//            return;
//        }
//        String setDateStr = "";
//        String tableName = param;
//        if(param.contains(";")){
//            tableName = param.substring(0,param.lastIndexOf(";"));
//            setDateStr = param.substring(param.lastIndexOf(";")+1);
//        }
//        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");// 设置日期格式
//        long startDate = 0;
//        try {
//            if(!StringUtils.isEmpty(setDateStr)){
//                startDate = sdf.parse(setDateStr).getTime();
//            }else{
//
//                TaskRecord byId = taskRecordService.getById(tableName);
//                if(null == byId){
//                    byId = new TaskRecord();
//                    byId.setTableName(tableName);
//                    byId.setUpdateTime(new Date());
//                    byId.setLastDealTime(new Date());
//                }
//                Date startDateTime = byId.getLastDealTime();
////                String startDateStr = Log.getTxtData("time.txt");
////                startDate = sdf.parse(startDateStr).getTime();
//                startDate = startDateTime.getTime();
//
//                Date afterDate = new Date(startDate + 5*60*1000);//5分钟后的时间
//                //Log.Logger("time.txt",sdf.format(afterDate));
//                byId.setLastDealTime(afterDate);
//                byId.setUpdateTime(new Date());
//                System.out.println("getTableName"+byId.getTableName());
//                taskRecordService.saveOrUpdate(byId);
//            }
//            System.out.println(startDate);
//        } catch (ParseException e) {
//            throw new RuntimeException(e);
//        }
//
//        Integer total = 0;
//        try{
//            MultiValueMap<String, Object> params = new LinkedMultiValueMap<>();
//            params.add("platform_code", "e64975be");
//            params.add("table_name", tableName);
//            params.add("page", "1");
//            params.add("page_size", "1");
//            params.add("startTime", startDate);
//            JSONObject jsonObject1 = httpGetMethod("http://10.8.3.137:7401/adminNmg/api/down.do",params);//&startTime=1676540529
//            total = jsonObject1.getInteger("total");
//
//        }catch (Exception e){
//            e.printStackTrace();
//        }
//        //Integer pages = total/20+1;
//        int pages = (int) Math.ceil((double) total / 20);
//        for(int i = 1; i <= pages ; i++){
//            if(i<=0)i=1;
//            try{
//                MultiValueMap<String, Object> params = new LinkedMultiValueMap<>();
//                params.add("platform_code", "e64975be");
//                params.add("table_name", tableName);
//                params.add("page", i);
//                params.add("page_size", "20");
//                params.add("startTime", startDate);
//                JSONObject jsonObject = httpGetMethod("http://10.8.3.137:7401/adminNmg/api/down.do",params);//&startTime=1676540529
//                String data = RSAUtils.decrypt(jsonObject.getString("data"));
//                JSONArray jsonArray = JSONArray.parseArray(data);
//                System.out.println(jsonArray);
//                //数据入库
//                updateDatas(tableName,jsonArray);
//            }catch (Exception e){
//                e.printStackTrace();
//            }
//        }
//    }
//
//
//    //http方法
//    public JSONObject httpGetMethod(String uri, MultiValueMap<String, Object> params){
//        System.out.println("uri"+uri);
//        System.out.println("params"+params);
//        restTemplate.getMessageConverters().set(1, new StringHttpMessageConverter(StandardCharsets.UTF_8));
//        //JSONObject response = restTemplate.getForObject(uri,JSONObject.class);
//
//        HttpHeaders headers = new HttpHeaders();
//        // 以表单的方式提交
//        headers.setContentType(MediaType.APPLICATION_FORM_URLENCODED);
//        //将请求头部和参数合成一个请求
//        HttpEntity<MultiValueMap<String, String>> entity = new HttpEntity(params, headers);
//        //System.out.println("post===============");
//        ResponseEntity<JSONObject> response = restTemplate.exchange(uri, HttpMethod.POST, entity, JSONObject.class);
//        //System.out.println("response"+response);
//        JSONObject body = response.getBody();
//        //System.out.println("response2"+body);
//        return body;
//    }
//
//    private void updateDatas(String param , JSONArray jsonArray ) {
//        switch (param)
//        {
//            case "GC_NOTICEANDFILE"://1、工程-招标公告与资格预审公告【GC_NOTICEANDFILE】
//                List<GcNoticeandfile> listGcNoticeandfile = JSONObject.parseArray(jsonArray.toJSONString(), GcNoticeandfile.class);
//                logger.info(param+"：数据入库="+listGcNoticeandfile.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcNoticeandfile.size());
//                gcNoticeandfileService.saveOrUpdateBatch(listGcNoticeandfile);
////                for (GcNoticeandfile gcNoticeandfile : listGcNoticeandfile) {
////                    if(gcNoticeandfile.getNoticeName()!=null&&!gcNoticeandfile.getNoticeName().equals("")){
////                        logger.info(param+"：数据入库="+20);
////                        XxlJobHelper.log(param+"：数据入库="+20);
////                        gcNoticeandfileService.saveOrUpdateBatch(listGcNoticeandfile);
////                    }
////                }
//                break;
//            case "GC_BIDOPENRECORD"://3、工程-开标记录【GC_BIDOPENRECORD】
//                List<GcBidopenrecord> listGcBidopenrecord = JSONObject.parseArray(jsonArray.toJSONString(), GcBidopenrecord.class);
//                logger.info(param+"：数据入库="+listGcBidopenrecord.size());
//                System.out.println("=============公共资源："+listGcBidopenrecord.get(0).getNoticeName());
//                XxlJobHelper.log(param+"：数据入库="+listGcBidopenrecord.get(0));
//                gcBidopenrecordService.saveOrUpdateBatch(listGcBidopenrecord);
//                break;
//            case "GC_BIDCANDIDATE_POST"://4、工程-中标候选人公示【GC_BIDCANDIDATE_POST】
//                List<GcBidcandidatePost> listGcBidcandidatePost = JSONObject.parseArray(jsonArray.toJSONString(), GcBidcandidatePost.class);
//                logger.info(param+"：数据入库="+listGcBidcandidatePost.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcBidcandidatePost.size());
//                gcBidcandidatePostService.saveOrUpdateBatch(listGcBidcandidatePost);
//                break;
//            case "GC_BIDPUBLICITY"://5、工程-中标结果公示【GC_BIDPUBLICITY】
//                List<GcBidpublicity> listGcBidpublicity = JSONObject.parseArray(jsonArray.toJSONString(), GcBidpublicity.class);
//                logger.info(param+"：数据入库="+listGcBidpublicity.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcBidpublicity.size());
//                gcBidpublicityService.saveOrUpdateBatch(listGcBidpublicity);
//                break;
//            case "GC_PROJECT"://6、工程-项目【GC_PROJECT】
//                List<GcProject> listGcProject = JSONObject.parseArray(jsonArray.toJSONString(), GcProject.class);
//                logger.info(param+"：数据入库="+listGcProject.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcProject.size());
//                gcProjectService.saveOrUpdateBatch(listGcProject);
//                break;
//            case "GC_TENDERPROJECT"://7、工程-招标项目【GC_TENDERPROJECT】
//                List<GcTenderproject> listGcTenderproject = JSONObject.parseArray(jsonArray.toJSONString(), GcTenderproject.class);
//                logger.info(param+"：数据入库="+listGcTenderproject.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcTenderproject.size());
//                gcTenderprojectService.saveOrUpdateBatch(listGcTenderproject);
//                break;
//            case "GC_TENDERBIDFILE":////8、工程-招标文件/招标文件澄清与修改【GC_TENDERPROJECT】
//                List<GcTenderbidfile> listGcTenderbidfile = JSONObject.parseArray(jsonArray.toJSONString(), GcTenderbidfile.class);
//                logger.info(param+"：数据入库="+listGcTenderbidfile.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcTenderbidfile.size());
//                gcTenderbidfileService.saveOrUpdateBatch(listGcTenderbidfile);
//                break;
//            case "GC_PUB_CONTRACT"://9、工程-合同签订【GC_PUB_CONTRACT】
//                List<GcPubContract> listGcPubContract = JSONObject.parseArray(jsonArray.toJSONString(), GcPubContract.class);
//                logger.info(param+"：数据入库="+listGcPubContract.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcPubContract.size());
//                gcPubContractService.saveOrUpdateBatch(listGcPubContract);
//                break;
//            case "GC_PERFORMANCE"://10、工程-合同履约【GC_PERFORMANCE】
//                List<GcPerformance> listGcPerformance = JSONObject.parseArray(jsonArray.toJSONString(), GcPerformance.class);
//                logger.info(param+"：数据入库="+listGcPerformance.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcPerformance.size());
//                gcPerformanceService.saveOrUpdateBatch(listGcPerformance);
//                break;
//            case "GC_BID_EXCEPTIO_NOTICE"://11、工程-招标异常公告【GC_BID_EXCEPTIO_NOTICE】
//                List<GcBidExceptioNotice> listGcBidExceptioNotice = JSONObject.parseArray(jsonArray.toJSONString(), GcBidExceptioNotice.class);
//                logger.info(param+"：数据入库="+listGcBidExceptioNotice.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcBidExceptioNotice.size());
//                gcBidExceptioNoticeService.saveOrUpdateBatch(listGcBidExceptioNotice);
//                break;
//            case "GC_ATTACHMENT"://12、工程-附件集结构【GC_ATTACHMENT】
//                List<GcAttachment> listGcAttachment = JSONObject.parseArray(jsonArray.toJSONString(), GcAttachment.class);
//                logger.info(param+"：数据入库="+listGcAttachment.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcAttachment.size());
//                gcAttachmentService.saveOrUpdateBatch(listGcAttachment);
//                break;
//            case "GC_BIDOPEN_FILE"://13、工程-开标明细数据集【GC_BIDOPEN_FILE】
//                List<GcBidopenFile> listGcBidopenFile = JSONObject.parseArray(jsonArray.toJSONString(), GcBidopenFile.class);
//                logger.info(param+"：数据入库="+listGcBidopenFile.size());
//                XxlJobHelper.log(param+"：数据入库="+listGcBidopenFile.size());
//                gcBidopenFileService.saveOrUpdateBatch(listGcBidopenFile);
//                break;
//            case "ZRZY_TD_CEDE_NOTICE"://20、自然资源-土地出让公告信息【ZRZY_TD_CEDE_NOTICE】
//                List<ZrzyTdCedeNotice> listZrzyTdCedeNotice = JSONObject.parseArray(jsonArray.toJSONString(), ZrzyTdCedeNotice.class);
//                logger.info(param+"：数据入库="+listZrzyTdCedeNotice.size());
//                XxlJobHelper.log(param+"：数据入库="+listZrzyTdCedeNotice.size());
//                zrzyTdCedeNoticeService.saveOrUpdateBatch(listZrzyTdCedeNotice);
//                break;
//            case "ZRZY_TD_BIDWINNOTICE"://21、自然资源-土地成交结果公告【ZRZY_TD_BIDWINNOTICE】
//                List<ZrzyTdBidwinnotice> listZrzyTdBidwinnotice = JSONObject.parseArray(jsonArray.toJSONString(), ZrzyTdBidwinnotice.class);
//                logger.info(param+"：数据入库="+listZrzyTdBidwinnotice.size());
//                XxlJobHelper.log(param+"：数据入库="+listZrzyTdBidwinnotice.size());
//                zrzyTdBidwinnoticeService.saveOrUpdateBatch(listZrzyTdBidwinnotice);
//                break;
//            case "CQ_SW_ISSUE_BULLETIN"://30、国有产权-实物资产挂牌披露信息【CQ_SW_ISSUE_BULLETIN】
//                List<CqSwIssueBulletin> listCqSwIssueBulletin = JSONObject.parseArray(jsonArray.toJSONString(), CqSwIssueBulletin.class);
//                logger.info(param+"：数据入库="+listCqSwIssueBulletin.size());
//                XxlJobHelper.log(param+"：数据入库="+listCqSwIssueBulletin.size());
//                cqSwIssueBulletinService.saveOrUpdateBatch(listCqSwIssueBulletin);
//                break;
//            case "CQ_SW_BARGAIN_RESULT"://31、国有产权-实物资产交易结果信息【CQ_SW_BARGAIN_RESULT】】
//                List<CqSwBargainResult> listCqSwBargainResult = JSONObject.parseArray(jsonArray.toJSONString(), CqSwBargainResult.class);
//                logger.info(param+"：数据入库="+listCqSwBargainResult.size());
//                XxlJobHelper.log(param+"：数据入库="+listCqSwBargainResult.size());
//                cqSwBargainResultService.saveOrUpdateBatch(listCqSwBargainResult);
//                break;
//            case "ZT_LEGALINFO"://100、主体库ZT_LEGALINFO
//                List<ZtLegalinfo> listZtLegalinfo = JSONObject.parseArray(jsonArray.toJSONString(), ZtLegalinfo.class);
//                logger.info(param+"：数据入库="+listZtLegalinfo.size());
//                XxlJobHelper.log(param+"：数据入库="+listZtLegalinfo.size());
//                ztLegalinfoService.saveOrUpdateBatch(listZtLegalinfo);
//                break;
//            case "YC_NOTICE"://200、药采公告 【YC_NOTICE】
//                List<YcNotice> listYcNotice = JSONObject.parseArray(jsonArray.toJSONString(), YcNotice.class);
//                logger.info(param+"：数据入库="+listYcNotice.size());
//                XxlJobHelper.log(param+"：数据入库="+listYcNotice.size());
//                ycNoticeService.saveOrUpdateBatch(listYcNotice);
//                break;
//            case "JG_FIELDAPPLY"://14、场地预约【JG_FIELDAPPLY】
//                List<JgFieldApply> listJgFieldApply = JSONObject.parseArray(jsonArray.toJSONString(), JgFieldApply.class);
//                logger.info(param+"：数据入库="+listJgFieldApply.size());
//                XxlJobHelper.log(param+"：数据入库="+listJgFieldApply.size());
//                jgFieldApplyService.saveOrUpdateBatch(listJgFieldApply);
//                break;
//            case "JG_SITE_INFORMATION "://15、场地信息【JG_SITE_INFORMATION】
//                List<JgSiteInformation> listJgSiteInformation = JSONObject.parseArray(jsonArray.toJSONString(), JgSiteInformation.class);
//                logger.info(param+"：数据入库="+listJgSiteInformation.size());
//                XxlJobHelper.log(param+"：数据入库="+listJgSiteInformation.size());
//                jgSiteInformationService.saveOrUpdateBatch(listJgSiteInformation);
//                break;
//            default:
//        }
//    }
//
//}
